Groovy 1.7.10

## groovy.util
[Java] Class ResourceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              groovy.util.ResourceException

    public class ResourceException
    extends Exception

Authors:
  sam

Constructor Summary
`ResourceException()`
`ResourceException(String message)` @param message
`ResourceException(String message, Throwable cause)` @param message
`ResourceException(Throwable cause)` @param cause

Method Summary

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ResourceException

    public ResourceException()

### ResourceException

    public ResourceException(String message)

  Parameters:
    message

### ResourceException

    public ResourceException(String message, Throwable cause)

  Parameters:
    message
    cause

### ResourceException

    public ResourceException(Throwable cause)

  Parameters:
    cause

Copyright © 2003-2010 The Codehaus. All rights reserved.